pbSpecMsr <- function(p = 4, alpha = 1, beta = c(2,2,2,2,2,2), 
						pts = c(.25, .25, .25, .25))
{
	#this takes the pairwise beta density on the simplex
	#and multiplies by p to produce a spectral density
	
	uga <- pbDensity(p = p, alpha = alpha, beta = beta, pts = pts)
	specDens <- p * uga

	return(specDens)	
}